﻿Imports System.IO
Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        For Each drv As DriveInfo In DriveInfo.GetDrives
            lbDrives.Items.Add(drv)
        Next
    End Sub

    Private Sub lbDrives_SelectedIndexChanged(sender As Object, e As EventArgs) Handles lbDrives.SelectedIndexChanged
        lbDiretorios.Items.Clear()
        Try
            Dim drv As DriveInfo = DirectCast(lbDrives.SelectedItem, DriveInfo)

            For Each dirinfo As DirectoryInfo In drv.RootDirectory.GetDirectories
                lbDiretorios.Items.Add(dirinfo)
            Next
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub lbDiretorios_SelectedIndexChanged(sender As Object, e As EventArgs) Handles lbDiretorios.SelectedIndexChanged
        lbArquivos.Items.Clear()

        Try
            Dim dir As DirectoryInfo = DirectCast(lbDiretorios.SelectedItem, DirectoryInfo)

            For Each arq As FileInfo In dir.GetFiles
                lbArquivos.Items.Add(arq)
            Next
        Catch unex As UnauthorizedAccessException
            MessageBox.Show("Acesso não autorizado")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub
End Class
